/**
 * Abstract base class for a particle renderer
 */
export class ParticleRenderer {


    constructor() {


    }

    build_start() {

    }

    build_end() {

    }

    /**
     *
     * @param {ParticleLayer} layer
     */
    add(layer) {

    }

}
